%define name    syslog-ng
%define version 1.4.12
%define release 1mdk

Summary:	syslog-ng daemon.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Kernel and hardware
License:	GPL
Url:		http://www.balabit.hu/products/syslog-ng/
Source: 	%{name}-%{version}.tar.bz2
Source1:	syslog-ng.init
Source2:	syslog-ng.conf
Patch:		syslog-conf.patch.bz2
Requires:	libol0 >= 0.2.23
BuildPreReq:	libol0-devel >= 0.2.23
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
An enhanced syslog daemon.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1

%build
%configure --sbindir=/sbin
make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_initrddir}
make DESTDIR=%{buildroot} sbindir=/sbin sysconfdir=%{_sysconfdir} \
  mandir=%{_mandir} prefix=%{_prefix} install

install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/syslog-ng
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/syslog-ng.conf

%post
chkconfig --add syslog-ng
# Turn off syslog for all levels
chkconfig --level 0123456 syslog off

%preun
chkconfig --del syslog-ng
# re-enable syslog (something must do the logging!)
chkconfig --level 2345 syslog on

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -r $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog INSTALL NEWS PORTS
%doc doc/sgml/syslog-ng.txt
%doc doc/*.demo doc/*.sample doc/*.solaris
%config(noreplace) %{_sysconfdir}/syslog-ng.conf
%{_initrddir}/syslog-ng
/sbin/syslog-ng
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*

%changelog
* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.12-1mdk
- 1.4.12

* Wed Jan 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.10-1mdk
- used srpm from John Johnson <jjohnson@linux-mandrake.com> :
	- Updated syslog-ng to version 1.4.
 
* Mon Nov 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.4.8-2mdk
- specfile cleaning, use macros
- rewrote init file
- wrote proper syslog-ng.conf file based on syslog.conf
- patch so config goes in /etc not /etc/syslog-ng
- syslog-ng goes in /sbin not /usr/sbin

* Wed Nov 8 2000 John Johnson <jjohnson@linux-mandrake.com> 1.4.8-1mdk
- Made Mandrake rpm 
